#include<bits/stdc++.h>

using namespace std;

int main(){
    ios::sync_with_stdio(false);
    cin.tie(0);
    int x1, x2, y1, y2, b = 0;
    cin >> x1 >> y1 >> x2 >> y2;
    if(x1 == x2 || y1 == y2)    b = 2;
    else   if(abs(x1 - x2) == abs(y1 - y2))    b = 1;
    cout << b <<endl;
}